package com.ruoyi.project.system.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.framework.aspectj.lang.annotation.Excel;
import com.ruoyi.framework.web.domain.BaseEntity;

/**
 * 【请填写功能名称】对象 tb_form
 *
 * @author ruoyi
 * @date 2020-06-16
 */
public class TbForm extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键 */
    private Long id;

    /** Form表单的id值 */
    @Excel(name = "Form表单的id值")
    private String formId;

    /** Form表单action的值 */
    @Excel(name = "Form表单action的值")
    private String action;

    /** Method的值 */
    @Excel(name = "Method的值")
    private String method;

    /** 标题头信息 */
    @Excel(name = "标题头信息")
    private String formTitle;

    /** 统一申请流程的表单排序 */
    @Excel(name = "统一申请流程的表单排序")
    private Long orderBy;

    /** 申请流程的外键 */
    @Excel(name = "申请流程的外键")
    private Long flowid;

    /** （待定）保存vue页面数据 */
    @Excel(name = "", readConverterExp = "待=定")
    private String vueJsonText;


    /** （待定）保存vue页面数据 */
    @Excel(name = "", readConverterExp = "字段列表")
    private String vueJsonField;

    /** 角色权限配置 */
    @Excel(name = "角色权限配置")
    private String rolePermissions;

    public void setId(Long id)
    {
        this.id = id;
    }

    public Long getId()
    {
        return id;
    }
    public void setFormId(String formId)
    {
        this.formId = formId;
    }

    public String getFormId()
    {
        return formId;
    }
    public void setAction(String action)
    {
        this.action = action;
    }

    public String getAction()
    {
        return action;
    }
    public void setMethod(String method)
    {
        this.method = method;
    }

    public String getMethod()
    {
        return method;
    }
    public void setFormTitle(String formTitle)
    {
        this.formTitle = formTitle;
    }

    public String getFormTitle()
    {
        return formTitle;
    }
    public void setOrderBy(Long orderBy)
    {
        this.orderBy = orderBy;
    }

    public Long getOrderBy()
    {
        return orderBy;
    }
    public void setFlowid(Long flowid)
    {
        this.flowid = flowid;
    }

    public Long getFlowid()
    {
        return flowid;
    }
    public String getVueJsonText() {
        return vueJsonText;
    }

    public void setVueJsonText(String vueJsonText) {
        this.vueJsonText = vueJsonText;
    }

    public String getVueJsonField() {
        return vueJsonField;
    }

    public void setVueJsonField(String vueJsonField) {
        this.vueJsonField = vueJsonField;
    }

    public void setRolePermissions(String rolePermissions)
    {
        this.rolePermissions = rolePermissions;
    }

    public String getRolePermissions()
    {
        return rolePermissions;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("formId", getFormId())
            .append("action", getAction())
            .append("method", getMethod())
            .append("formTitle", getFormTitle())
            .append("orderBy", getOrderBy())
            .append("flowid", getFlowid())
            .append("vueJsonText", getVueJsonText())
            .append("vueJsonField", getVueJsonField())
            .append("remark", getRemark())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("rolePermissions", getRolePermissions())
            .toString();
    }
}
